# QAbstractXmlReceiver Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QAbstractXmlReceiver()

### Constructor Properties

- prototype: The QAbstractXmlReceiver prototype object

### Prototype Object Properties

- void atomicValue(Object value)
- void attribute(QXmlName name, String value)
- void characters(String value)
- void comment(String value)
- void endDocument()
- void endElement()
- void endOfSequence()
- void namespaceBinding(QXmlName name)
- void processingInstruction(QXmlName target, String value)
- void startDocument()
- void startElement(QXmlName name)
- void startOfSequence()
- void whitespaceOnly(String value)

### Instance Properties

QAbstractXmlReceiver objects have no special properties beyond those inherited from the QAbstractXmlReceiver prototype object.